FileControllerCheckOut Method (Guid, NullableGuid) |
PUT /File/CheckOut/
Checks out files with the specified IDs to the caller.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("CheckOut")]
public HttpResponseMessage CheckOut(
[FromBodyAttribute] Guid[] fileIds,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("CheckOut")>
Public Function CheckOut (
<FromBodyAttribute> fileIds As Guid(),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"CheckOut")]
HttpResponseMessage^ CheckOut(
[FromBodyAttribute] array<Guid>^ fileIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("CheckOut")>]
member CheckOut :
[<FromBodyAttribute>] fileIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- fileIds
- Type: SystemGuid
The IDs of the files to check out. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
A
CheckOutResultData, or a status code indicating the reason for failure.
See Also